Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.align
Class ClusterAltAligs

    java.lang.Object
      org.biojava.bio.structure.align.ClusterAltAligs

    public class ClusterAltAligs

extends Object

A class that clusters alternative alignments according to their similarity.

Since:
  1.5
Version:
  %I% %G%
Author:
  Andreas Prlic

Field Summary
`static int` | `DEFAULT_CLUSTER_CUTOFF`

Constructor Summary
`ClusterAltAligs()`

Method Summary
`static void` | `cluster(AlternativeAlignment[] aligs)`
`static void` | `cluster(AlternativeAlignment[] aligs, int cutoff)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CLUSTER_CUTOFF

    public static final int DEFAULT_CLUSTER_CUTOFF

See Also:
  Constant Field Values

Constructor Detail

### ClusterAltAligs

    public ClusterAltAligs()

Method Detail

### cluster

    public static void cluster(AlternativeAlignment[] aligs)

### cluster

    public static void cluster(AlternativeAlignment[] aligs,
                               int cutoff)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD